Name:          libfm
Version:       1.2.3
Release:       1mamba
Summary:       A library used by the PCMan File Manager
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/pcmanfm
# dist tarball 0.1.15 created from git:
# git clone git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm
# ./configure --sysconfdir=/etc --with-gtk-doc
# make
# make dist
Source:        http://downloads.sourceforge.net/project/pcmanfm/PCManFM%20%2B%20Libfm%20%28tarball%20release%29/LibFM/libfm-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libexif-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtk-devel
BuildRequires: libmenu-cache-devel
BuildRequires: libpango-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libmenu-cache-devel >= 0.6.1-1mamba
BuildRequires: gtk-doc
BuildRequires: libpthread-stubs-devel
BuildRequires: libXdamage-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libgraphite2-devel
BuildRequires: libexpat-devel
Provides:      lxshortcut
Obsoletes:     lxshortcut
Requires:      udisks
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Library used by the PCMan File Manager.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library used by the PCMan File Manager.
This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure \
   --enable-udisks

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
  [ -d %{_includedir}/libfm -a ! -L %{_includedir}/libfm ] && mv %{_includedir}/libfm %{_includedir}/libfm.old
  ln -sf libfm-1.0 %{_includedir}/libfm
fi
:

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
#%{_sysconfdir}/xdg/libfm/pref-apps.conf
%{_bindir}/libfm-pref-apps
%{_bindir}/lxshortcut
%{_libdir}/libfm.so.*
%{_libdir}/libfm-extra.so.*
%{_libdir}/libfm-gtk.so.*
%dir %{_libdir}/libfm
%dir %{_libdir}/libfm/modules
%{_libdir}/libfm/modules/*.so
#%{_libdir}/libfm/gnome-terminal
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/applications/lxshortcut.desktop
%dir %{_datadir}/libfm
%{_datadir}/libfm/archivers.list
%dir %{_datadir}/libfm/images
%{_datadir}/libfm/images/*.png
%{_datadir}/libfm/terminals.list
%dir %{_datadir}/libfm/ui
%{_datadir}/libfm/ui/*.ui
%{_datadir}/mime/packages/libfm.xml
%{_mandir}/man1/lxshortcut.1*
%{_mandir}/man1/libfm-pref-apps.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libfm
%dir %{_includedir}/libfm-1.0
%{_includedir}/libfm-1.0/*.h
%{_libdir}/libfm.a
%{_libdir}/libfm.la
%{_libdir}/libfm.so
%{_libdir}/libfm-extra.a
%{_libdir}/libfm-extra.la
%{_libdir}/libfm-extra.so
%{_libdir}/libfm-gtk.a
%{_libdir}/libfm-gtk.la
%{_libdir}/libfm-gtk.so
%{_libdir}/pkgconfig/*.pc
#%{_datadir}/gtk-doc/html/libfm
%doc README TODO

%changelog
* Sun Oct 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Wed Sep 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2.1-2mamba
- rebuilt by autoport with build requirements: libmenu-cache-devel>=0.6.1-1mamba

* Wed Aug 27 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2.1-1mamba
- automatic version update by autodist

* Sun Jul 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- provide and obsolete lxshortcut

* Tue Jul 08 2014 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2.2-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Tue Jul 23 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-4mamba
- make fixing libfm includedir silent

* Sat Feb 02 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-3mamba
- rebuilt with libmenucache 0.4.1

* Thu Nov 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- fix upgrading from %{_includedir}/libfm directory to symlink

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Aug 20 2012 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Wed Feb 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.15-1mamba
- update to 0.1.15
- added requirement for udisks

* Tue Nov 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.14-1mamba
- package created by autospec
git clone git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm
